<?php
require_once('clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', 'clases/xajax/');

function xExportar($varForm) {
	$varCod = (isset($varForm["cod"]) && $varForm["cod"]<>'')? $varForm["cod"]:"NULL";
	$varVeh = (isset($varForm["vcod"]) && $varForm["vcod"]<>'')? $varForm["vcod"]:"NULL";
	$varCon = (isset($varForm["ccod"]) && $varForm["ccod"]<>'')? $varForm["ccod"]:"NULL";
	$varIni = (isset($varForm["fini"]) && $varForm["fini"]<>'')? "'".FechaMySql($varForm["fini"])."'":"NULL";
	$varFin = (isset($varForm["ffin"]) && $varForm["ffin"]<>'')? "'".FechaMySql($varForm["ffin"])."'":"NULL";
	
	$sql = "call spQuery_Asignacion($varCod, $varVeh, $varCon, $varIni, $varFin,  NULL, NULL);";
	$_SESSION["expor_sql_1"] =  $sql;
	$_SESSION["expor_sql_2"] = NULL;
	$varTitulo = (isset($varForm["titu"]))?$varForm["titu"]:"Reporte";	
	$objResponse=new xajaxResponse();
    $objResponse->redirect("export.php?page=$varTitulo");
    return $objResponse;
	}

function xFormDescuento($varForm) {
	$var = VarServer("MYSQLI");
	$obj = new clsDescuentoPersonal($var[0],$var[1],$var[2],$var[3],$var[4]);	
	$varResp = $obj->FormDescuento($varForm);
	$varIde = $varForm["ide"];
	$respuestaXajax = new xajaxResponse();
	if($varResp<>"ERROR") {
		$varReturn = "<div id=\"divFormDescuentoCabecera\">";
		$varReturn.= $varResp;
		$varReturn.= "</div>";
		$varReturn.= "<div id=\"divFormDescuentoDetalle\">";
		$varReturn.= $obj->GridDescuento($varForm["ide"], $varField, $varOrder);
		$varReturn.= "</div>";
		$varReturn.= "</div>";
		
		$respuestaXajax->assign("divBusqueda", "style.display", "none");
		$respuestaXajax->assign("divFormDescuento", "innerHTML", utf8_encode($varReturn));
		$variable2="ResaltarSeleccionado()";
		$respuestaXajax->script($variable2); 
		}
	else {
		$respuestaXajax->alert("NO EXISTE NUMERO DE ASIGNACION ".$varIde);
		}
	return $respuestaXajax;
	}

function xFormDocumento($varForm) {
	$var = VarServer("MYSQLI");
	$obj = new clsDescuentoPersonal($var[0],$var[1],$var[2],$var[3],$var[4]);	
	$varReturn = "<div id=\"divFormDocumentoCabecera\">";
	$varReturn.= $obj->FormDocumento($varForm);
	$varReturn.= "</div>";
	$varReturn.= "<div id=\"divFormDocumentoDetalle\">";
	$varReturn.= $obj->GridDocumento($varForm["ide2"], $varField, $varOrder);
	$varReturn.= "</div>";
	$varReturn.= "</div>";
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divFormDescuento", "style.display", "none");
	$respuestaXajax->assign("divFormDocumento", "innerHTML", utf8_encode($varReturn));
	$respuestaXajax->assign("divFormDocumento", "style.display", "block");
	$variable2="ResaltarSeleccionado()";
	$respuestaXajax->script($variable2); 
	return $respuestaXajax;
	}
	
function xFormRegistro($varIde) {
	$var = VarServer("MYSQLI");
	$obj = new clsDescuentoPersonal($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla = $obj->FormRegistro($varIde);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divFormDocumento", "style.display", "none");
	$respuestaXajax->assign("divFormRegistro", "innerHTML", utf8_encode($varTabla));
	$respuestaXajax->assign("divFormRegistro", "style.display", "block");
	return $respuestaXajax;
	}

function xFormRegistroEditar($varAsi, $varVen) {
	$var = VarServer("MYSQLI");
	$obj = new clsDescuentoPersonal($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla = $obj->FormRegistroEditar($varAsi, $varVen);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divFormDescuento", "style.display", "none");
	$respuestaXajax->assign("divFormRegistro", "innerHTML", utf8_encode($varTabla));
	$respuestaXajax->assign("divFormRegistro", "style.display", "block");
	return $respuestaXajax;
	}

function xGridDocumento($varForm=NULL, $varField=NULL, $varOrder=NULL) {
	$var = VarServer("MYSQLI");
	$obj = new clsDescuentoPersonal($var[0],$var[1],$var[2],$var[3],$var[4]);	
	$varTabla = $obj->GridDocumento($varForm["ide3"], $varField, $varOrder);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divFormDocumentoDetalle", "innerHTML", utf8_encode($varTabla));
	$variable2="ResaltarSeleccionado()";
	$respuestaXajax->script($variable2); 
	return $respuestaXajax;
	}

function xGridDescuento($varForm=NULL, $varField=NULL, $varOrder=NULL) {
	$var = VarServer("MYSQLI");
	$obj = new clsDescuentoPersonal($var[0],$var[1],$var[2],$var[3],$var[4]);	
	$varTabla = $obj->GridDescuento($varForm["ide2"], $varField, $varOrder);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divFormDescuentoDetalle", "innerHTML", utf8_encode($varTabla));
	$variable2="ResaltarSeleccionado()";
	$respuestaXajax->script($variable2); 
	return $respuestaXajax;
	}
	
function xRegresarBusqueda() {
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divBusqueda", "style.display", "block");
	$respuestaXajax->assign("divFormDescuento", "innerHTML", "");
	return $respuestaXajax;
	}

function xRegresarDescuento() {
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divFormDescuento", "style.display", "block");
	$respuestaXajax->assign("divFormDocumento", "innerHTML", "");
	return $respuestaXajax;
	}

function xRegresarDescuento2() {
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divFormDescuento", "style.display", "block");
	$respuestaXajax->assign("divFormRegistro", "innerHTML", "");
	return $respuestaXajax;
	}

function xRegresarDocumento() {
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divFormDocumento", "style.display", "block");
	$respuestaXajax->assign("divFormRegistro", "innerHTML", "");
	return $respuestaXajax;
	}
	
function xGrabar($varForm) {
	$var = VarServer("MYSQLI");
	$obj = new clsDescuentoPersonal($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varAsi = $varForm["asi"];
	$varResul = $obj->ProcesoGrabar($varForm);
	$respuestaXajax = new xajaxResponse();
	
	if ($varResul=="OK") {
		//$respuestaXajax->assign("divFormDescuento", "style.display", "block");
		$varForm["ide"] = $varAsi;
		$varReturn = "<div id=\"divFormDescuentoCabecera\">";
		$varReturn.= $obj->FormDescuento($varForm);
		$varReturn.= "</div>";
		$varReturn.= "<div id=\"divFormDescuentoDetalle\">";
		$varReturn.= $obj->GridDescuento($varAsi, $varField, $varOrder);
		$varReturn.= "</div>";
		$respuestaXajax->assign("divFormRegistro", "style.display", "none");
		$respuestaXajax->assign("divFormDescuento", "innerHTML", utf8_encode($varReturn));
		$respuestaXajax->assign("divFormDescuento", "style.display", "block");
		$respuestaXajax->assign("divFormDocumento", "innerHTML", "");
		$respuestaXajax->alert("DESCUENTO REGISTRADO CORRECTAMENTE");
		return $respuestaXajax;
		}
	else {
		$respuestaXajax->alert("ERROR AL PROCESAR DATOS...!!!!!\n====================================\n".$varResul."\nVERIFIQUE LOS DATOS POR FAVOR");		
		return $respuestaXajax;
		}
	}
	
function xEliminar($varAsi, $varVen) {
	$var = VarServer("MYSQLI");
	$obj = new clsDescuentoPersonal($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varRet = $obj->ProcesoEliminar($varAsi, $varVen);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->alert("DESCUENTO ELIMINADO CORRECTAMENTE");
	return $respuestaXajax;
	}

$xajax->register(XAJAX_FUNCTION, 'seleccionar_cliente');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_vendedor');

$xajax->register(XAJAX_FUNCTION, 'xFormDescuento');
$xajax->register(XAJAX_FUNCTION, 'xFormDocumento');
$xajax->register(XAJAX_FUNCTION, 'xFormRegistro');
$xajax->register(XAJAX_FUNCTION, 'xFormRegistroEditar');

$xajax->register(XAJAX_FUNCTION, 'xRegresarBusqueda');
$xajax->register(XAJAX_FUNCTION, 'xRegresarDescuento');
$xajax->register(XAJAX_FUNCTION, 'xRegresarDescuento2');
$xajax->register(XAJAX_FUNCTION, 'xRegresarDocumento');

$xajax->register(XAJAX_FUNCTION, 'xGridDocumento');
$xajax->register(XAJAX_FUNCTION, 'xGridDescuento');

$xajax->register(XAJAX_FUNCTION, 'xGrabar');
$xajax->register(XAJAX_FUNCTION, 'xEliminar');

$xajax->processRequest();
$xajax->printJavascript("clases/xajax");


?>
<script language="javascript">
	function xGridDocumentoJS(varField, varOrder) {
		xajax_xGridDocumento(xajax.getFormValues('formDocumento'),varField, varOrder);		
		}
	function xGridDescuentoJS(varField, varOrder) {
		xajax_xGridDescuento(xajax.getFormValues('formDescuento'),varField, varOrder);		
		}
	function xFormDescuentoJS() {
		if (xajax.$("ide").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UN NUMERO DE ASIGNACION");
			xajax.$("ide").focus()
			return (false); 
			}
		else {
			xajax_xFormDescuento(xajax.getFormValues('form'));
			}				
		}	
	
	function xFormDocumentoJS() {
		if (xajax.$("ide2").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nEL NUMERO DE ASIGNACION ES INCORRECTO");
			return (false); 
			}
		else {
			xajax_xFormDocumento(xajax.getFormValues('formDescuento'));
			}				
		}
			
	function xFormRegistroJS(varIde, varEmi, varDoc, varCli, varTab) {
		var varTex = "¿ESTA SEGURO QUE DESEA REGISTRAR UN DESCUENTO A ESTE DOCUMENTO";
		varTex = varTex + "\nF.Emisión\t\t: "+varEmi;
		varTex = varTex + "\nDocumento\t: "+varDoc;
		varTex = varTex + "\nCliente\t\t: "+varCli+" ?";
		if(confirm(varTex)) {
			xajax_xFormRegistro(varIde);
			EliminarFilaTabla(varTab)
			}
		}
	
	function xFormuRegistroEditarJS(varAsi, varVen, varTab) {
		var varTex = "¿ESTA SEGURO QUE DESEA EDITAR ESTE DESCUENTO?";
		if(confirm(varTex)) {
			xajax_xFormRegistroEditar(varAsi, varVen);
			EliminarFilaTabla(varTab)
			}
		}
			
	function xEliminarJS(varAsi, varVen, varTab) {
		if(confirm('¿ESTA SEGURO DE ELIMINAR EL DESCUENTO?')) {			
			xajax_xEliminar(varAsi, varVen);
			EliminarFilaTabla(varTab)
			}				
		}
		
	function xGuardarJS() {
		var varFlagPro = 0;

		var varErrorCab = "==================================================================\n";
		varErrorCab = varErrorCab + "\t\t\tERROR AL REGISTRAR DESCUENTO...!!!!\n";
		varErrorCab = varErrorCab + "==================================================================\n";
		var varErrorDet = "";
	
		if (xajax.$("mot").value=="Ninguno") { 
			varErrorDet+="DEBE ESPECIFICAR UN MOTIVO DE DESCUENTO\n";
			}
		if (xajax.$("glo").value=="") { 
			varErrorDet+="DEBE ESPECIFICAR UNA GLOSA\n";
			}
		if (xajax.$("mon").value=="" || parseFloat(xajax.$("mon").value)<=0) { 
			varErrorDet+="DEBE ESPECIFICAR UN MONTO MAYOR A 0\n";
			}
		if (varErrorDet!="") {
			alert(varErrorCab + varErrorDet);
			}
		else {
			var varMsj = "¿DESEA GUARDAR EL DESCUENTO?";
			if (confirm(varMsj)) {
				xajax_xGrabar(xajax.getFormValues('formDevolver'));		
				}
			}
		}
</script>

<?php		
function MyTable($obj, $varTitulo, $Opcion, $Valor) {
	echo "<div id=\"divBusqueda\">";
	echo $obj->FormuBusqueda();
	echo "</div>";
	
	echo "<div id=\"divFormDescuento\">";
	echo "<div id=\"divFormDescuentoCabecera\">";
	echo "</div>";
	echo "<div id=\"divFormDescuentoDetalle\">";
	echo "</div>";
	echo "</div>";
	
	echo "<div id=\"divFormDocumento\">";
	echo "<div id=\"divFormDocumentoCabecera\">";
	echo "</div>";
	echo "<div id=\"divFormDocumentoDetalle\">";
	echo "</div>";
	echo "</div>";
	
	echo "<div id=\"divFormRegistro\">";
	echo "</div>";
	
	} 
?>